// EqnBC_LinElas3d_Ex11sincoscos.h
// A self-made simple example on (0,1)^3
// Dilation fully visible, displacement components partially visible on bndry.
// lambda=1, mu=1
// James Liu, Graham Harper, ColoState; 2014/07--2017/10

#include "mat3.h"
#include "PtVec3d.h"

////////////////////////////////////////////////////////////////////////////////

PtVec3d fxnf(PtVec3d pt);

PtVec3d fxnuD(PtVec3d pt);

PtVec3d fxnu(PtVec3d pt);

PtVec3d fxntN(PtVec3d pt);

// sigma for the stress tensor
Mat3 fxnsigma(PtVec3d pt);

// dilation (divergence of displacement)
double fxndivu(PtVec3d pt);

// EqnBC_LinElas3d_Ex11sincoscos.h
